TokenExchangeRequest
@mandaitor/sdk / TokenExchangeRequest
Interface: TokenExchangeRequest
Defined in: @mandaitor/sdk/dist/types.d.ts:623
Request body for OAuth 2.0 Token Exchange (RFC 8693), swapping a user token for a mandate-scoped delegation token.
Properties
audience?
optionalaudience?:string
Defined in: @mandaitor/sdk/dist/types.d.ts:633
Target audience (downstream service)
mandate_id
mandate_id:
string
Defined in: @mandaitor/sdk/dist/types.d.ts:629
Mandate ID that authorizes this delegation
scope?
optionalscope?:string
Defined in: @mandaitor/sdk/dist/types.d.ts:631
Target scopes for the exchanged token
subject_token
subject_token:
string
Defined in: @mandaitor/sdk/dist/types.d.ts:625
The original user's access token
subject_token_type?
optionalsubject_token_type?:string
Defined in: @mandaitor/sdk/dist/types.d.ts:627
Token type URI per RFC 8693